cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/time_periods/tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.time_periods.get_settings_time_period(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timePeriods.getSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timePeriods->getSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.time_periods.time_periods_dto.TimePeriodsDto.SettingsTimePeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTimePeriod> response = client.timePeriods().getSettingsTimePeriod(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.TimePeriods.GetSettingsTimePeriodAsync("tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timePeriods.getSettingsTimePeriod(
'tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.TimePeriods().GetSettingsTimePeriod(context.Background(), "tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"time_period": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Time periods
Retrieve a time period
Retrieves one time period by its tp_ id.
GET
/
settings
/
time_periods
/
{time_period_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/time_periods/tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.time_periods.get_settings_time_period(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timePeriods.getSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timePeriods->getSettingsTimePeriod('tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.time_periods.time_periods_dto.TimePeriodsDto.SettingsTimePeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTimePeriod> response = client.timePeriods().getSettingsTimePeriod(
"tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.TimePeriods.GetSettingsTimePeriodAsync("tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timePeriods.getSettingsTimePeriod(
'tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.TimePeriods().GetSettingsTimePeriod(context.Background(), "tp_5d2e8f1a9b3c4d7e8f0a1b2c3d4e5f6a", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"time_period": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the time period under
time_period.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The time period's id, which starts with tp_.
Response
The time period, under time_period.
Show child attributes
Show child attributes